## logtop 0.1

=== Makefile ===
##
## Makefile for logtop
##
## Made by julien palard
## Login   <logtop@mandark.fr>
##

NAME = logtop
DSRC = src
SRC = $(DSRC)/logtop.c $(DSRC)/avl.c $(DSRC)/curses.c $(DSRC)/stdout.c
OBJ = $(SRC:.c=.o)
CC = gcc
INCLUDE = .
DEFINE = _GNU_SOURCE
LIB = -lavl -lncurses #-lefence
CFLAGS = -fPIC -g3 -O3 -W -Wall -ansi -pedantic -I$(INCLUDE)
RM = rm -f

$(NAME):	$(OBJ)
		$(CC) $(CFLAGS) -o $(NAME) $(OBJ) $(LIB)

install:	$(NAME)
		mkdir -p $(DESTDIR)/usr/bin/
		cp $(NAME) $(DESTDIR)/usr/bin/

all:
		@make $(NAME)

.c.o:
		$(CC) -D $(DEFINE) -c $(CFLAGS) $< -o $(<:.c=.o)

clean:
		$(RM) $(NAME) $(DSRC)/*~ $(DSRC)/#*# $(DSRC)/*.o $(DSRC)/*.core

re:		clean all

=== debian/changelog ===
logtop (0.1-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Julien Palard <julien@palard.fr>  Sun, 24 Apr 2011 20:33:57 +0000

logtop (0.1-1) unstable; urgency=low

  * Initial release. Closes: #605904

 -- Julien Palard <julien@palard.fr>  Tue, 30 Nov 2010 23:00:08 +0100

=== debian/control ===
Source: logtop
Section: admin
Priority: optional
Maintainer: Julien Palard <julien@palard.fr>
Build-Depends: debhelper (>= 7), libavl-dev, libncurses5-dev
Standards-Version: 3.9.1
Homepage: http://github.com/JulienPalard/logtop

Package: logtop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: real time log line rate analyzer
 logtop is a System Administrator tool to analyze line rate taking log
 file as input. It reads on stdin and print a constantly updated result
 using curses, displaying in columns:
 Line number, count, frequency, and the actual line.
 .
  $ tail -f FILE | logtop
 is the friendly version of:
  $ watch 'tail FILE | sort | uniq -c | sort -gr'

## logtop 0.3

=== Makefile ===
##
## Makefile for logtop
##
## Made by julien palard
## Login   <logtop@mandark.fr>
##

NAME = logtop
DSRC = src
SRC = $(DSRC)/logtop.c $(DSRC)/avl.c $(DSRC)/history.c $(DSRC)/curses.c \
      $(DSRC)/stdout.c $(DSRC)/libavl/avl.c
OBJ = $(SRC:.c=.o)
CC = gcc
INCLUDE = .
DEFINE = _GNU_SOURCE
LIB = -lncurses #-lefence
CFLAGS = -O3 -W -Wall -ansi -pedantic -I$(INCLUDE)
RM = rm -f

$(NAME):	$(OBJ)
		$(CC) $(CFLAGS) -o $(NAME) $(OBJ) $(LIB)

install:	$(NAME)
		mkdir -p $(DESTDIR)/usr/bin/
		cp $(NAME) $(DESTDIR)/usr/bin/

all:
		@make $(NAME)

.c.o:
		$(CC) -D $(DEFINE) -c $(CFLAGS) $< -o $(<:.c=.o)

clean:
		$(RM) $(NAME) $(DSRC)/*~ $(DSRC)/#*# $(DSRC)/*.o $(DSRC)/*.core \
              $(DSRC)/libavl/*.o

re:		clean all

=== debian/changelog ===
logtop (0.3-1) unstable; urgency=low

  * New upstream release
  * Replacing the AVL tree used to store strings by an hashtable.
  * Replacing the Wessel Dankers' libavl dependency with the statically compiled
    Ben Pfaff's one (see README.Debian).

 -- Julien Palard <julien@palard.fr>  Tue, 31 May 2011 18:45:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Julien Palard <julien@palard.fr>
-Build-Depends: debhelper (>= 7), libavl-dev, libncurses5-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7), libncurses5-dev, uthash-dev
+Standards-Version: 3.9.2
 Homepage: http://github.com/JulienPalard/logtop
 
 Package: logtop

## logtop 0.4.3

=== Makefile ===
--- 
+++ 
@@ -14,11 +14,12 @@
 INCLUDE = .
 DEFINE = _GNU_SOURCE
 LIB = -lncurses #-lefence
-CFLAGS = -O3 -W -Wall -ansi -pedantic -I$(INCLUDE)
+CFLAGS = -O3 -W -Wall -ansi -pedantic -Wstrict-prototypes -I$(INCLUDE)
 RM = rm -f
+LDFLAGS =
 
 $(NAME):	$(OBJ)
-		$(CC) $(CFLAGS) -o $(NAME) $(OBJ) $(LIB)
+		$(CC) $(CFLAGS) -o $(NAME) $(OBJ) $(LIB) $(LDFLAGS)
 
 install:	$(NAME)
 		mkdir -p $(DESTDIR)/usr/bin/
@@ -32,6 +33,6 @@
 
 clean:
 		$(RM) $(NAME) $(DSRC)/*~ $(DSRC)/#*# $(DSRC)/*.o $(DSRC)/*.core \
-              $(DSRC)/libavl/*.o
+				$(DSRC)/libavl/*.o
 
 re:		clean all

=== debian/changelog ===
logtop (0.4.3-1) unstable; urgency=low

  * New Support LDFLAGS in Makefile
  * Bump Standards-Version to 3.9.3
  * Add Vcs-Browser and Vcs-Git fields
  * Fix usless match patterns in debian/copyright
  * Enable hardening build flags
  * New line-by-line output without curses

 -- Julien Palard <julien@palard.fr>  Sun, 20 May 2012 23:02:06 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Julien Palard <julien@palard.fr>
-Build-Depends: debhelper (>= 7), libncurses5-dev, uthash-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), dpkg-dev (>= 1.16.1~), libncurses5-dev, uthash-dev
+Standards-Version: 3.9.3
 Homepage: http://github.com/JulienPalard/logtop
+Vcs-Browser: https://github.com/JulienPalard/logtop
+Vcs-Git: git://github.com/JulienPalard/logtop.git
 
 Package: logtop
 Architecture: any

=== debian/watch ===
version=3
http://githubredir.debian.net/github/JulienPalard/logtop/ logtop-(.*).tar.gz

## logtop 0.7

=== Makefile ===
##
## Makefile for logtop
##
## Made by julien palard
## Login   <logtop@mandark.fr>
##

VERSION = 0.7.0
MINOR = 0
RELEASE = 0

NAME = logtop
UNAME=$(shell uname -s)
ifeq ($(UNAME),Darwin)
  LINKERNAME = lib$(NAME).dylib
else
  LINKERNAME = lib$(NAME).so
endif
SONAME=$(LINKERNAME).$(VERSION)
REALNAME=$(SONAME).$(MINOR).$(RELEASE)

LIB_SRC = src/avl.c src/history.c \
          src/logtop.c src/libavl/avl.c
SRC = $(LIB_SRC) src/curses.c src/stdout.c src/main.c

LIB_OBJ = $(LIB_SRC:.c=.o)
OBJ = $(SRC:.c=.o)

CC = gcc
override INCLUDE += .
LIB = $(shell pkg-config --libs ncursesw)  #-lefence
CFLAGS += -O3 -Wall -fPIC -Wextra -pedantic -Wstrict-prototypes -I$(INCLUDE) $(shell pkg-config --cflags ncursesw)
RM = rm -fr
LDFLAGS =

$(NAME):	$(OBJ)
		$(CC) -o $(NAME) $(OBJ) $(LIB) $(LDFLAGS)

lib$(NAME): $(LIB_OBJ)
		$(CC) $(CFLAGS) --shared -o $(LINKERNAME) $(OBJ) $(LIB) $(LDFLAGS)

install:	$(NAME)
		mkdir -p $(DESTDIR)/usr/bin/
		cp $(NAME) $(DESTDIR)/usr/bin/

python-module:
		swig -python *.i
		python ./setup.py build_ext --inplace

python3-module:
		swig -python *.i
		python3 ./setup.py build_ext --inplace

all:
		@make $(NAME)
		@make lib$(NAME)

.c.o:
		$(CC) -c $(CFLAGS) $< -o $(<:.c=.o)

clean:
		$(RM) $(NAME) src/*~ src/#*# src/*.o src/*.core \
				src/libavl/*.o _logtop.* liblogtop.* \
				logtop.py *.pyc build/ logtop_wrap.c

re:		clean all

check-syntax:
		gcc -Isrc -Wall -Wextra -ansi -pedantic -o /dev/null -S ${CHK_SOURCES}

=== debian/changelog ===
logtop (0.7-1) unstable; urgency=medium

  * QA upload.
    Closes: #1107715

  [ Andreas Tille ]
  * New upstream version
    Closes: #1080251
  * Fix watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Use versioned copyright format URI.
  * Use secure URI in Homepage field.
  * Add upstream metadata
  * Fix Build-Depends
  * Fix installation of docs
  * d/copyright: review

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #925932)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jun 2025 14:55:52 +0200

=== debian/control ===
Source: logtop
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: admin
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libncurses-dev,
               pkgconf,
               uthash-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/logtop
Vcs-Git: https://salsa.debian.org/debian/logtop.git
Homepage: https://github.com/JulienPalard/logtop

Package: logtop
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: real time log line rate analyzer
 logtop is a System Administrator tool to analyze line rate taking log
 file as input. It reads on stdin and print a constantly updated result
 using curses, displaying in columns:
 Line number, count, frequency, and the actual line.
 .
  $ tail -f FILE | logtop
 is the friendly version of:
  $ watch 'tail FILE | sort | uniq -c | sort -gr'

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) -D_FORTIFY_SOURCE=2" LDFLAGS="$(LDFLAGS)"


%:
	dh $@

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/JulienPalard/logtop/tags (?:.*?/)?@PACKAGE@-(\d[\d.]*)\.tar\.gz
